pro map
    x = fltarr(20, 20)
    y = fltarr(20, 20)
    t = fltarr(20, 20)

    xx = 0.0
    yy = 0.0
    tt = 0.0

    openr, 1, "map.data"
    for i = 0, 19 do begin
	for j = 0, 19 do begin
	    readf, 1, xx, yy, tt
	    x(i,j) = xx
	    y(i,j) = yy
	    t(i,j) = tt
	endfor
    endfor
    close, 1

    r = 42.5
    tAt00 = t(11,11)

    tMin = fix(tAt00 - 20)
    tMax = tMin + 40
    levs = indgen(21) * 2 + tMin

    newDims = 2000
    x = rebin(x, newDims, newDims)
    y = rebin(y, newDims, newDims)
    t = rebin(t, newDims, newDims)

    t(where((x*x + y*y) GT r*r)) = 9999.

    theta = findgen(361) * 2. * !pi / 360.
    xCircle = r * cos(theta)
    yCircle = r * sin(theta)

    set_plot, 'PS'
    device, filename = 'x.ps', /INCHES, XSIZE=5, YSIZE=5
 
    contour, t, x, y, ZRANGE=[tMin, tMax], LEVELS=levs,		$
        XRANGE=[-50,50], YRANGE=[-50,50], XSTYLE=1, YSTYLE=1,	$
        XTITLE="x (mm)", YTITLE="y (mm)", CHARTHICK=2.0,	$
        C_LINESTYLE=0, C_THICK=2, /FOLLOW, C_LABELS=levs
    oplot, xCircle, yCircle, thick=10
 
    device, /close
    set_plot, 'X'

end
